### org.jfree.layouting.namespace

# Class DefaultNamespaceCollection

- `java.lang.Object`
- - `org.jfree.layouting.namespace.DefaultNamespaceCollection`

Implemented Interfaces:
  NamespaceCollection

`public class DefaultNamespaceCollection`
`extends java.lang.Object`
`implements NamespaceCollection`

Creation-Date: 13.04.2006, 12:38:42

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultNamespaceCollection()`

  ## Method Summary

  `void`

  `addDefinition(NamespaceDefinition definition)`

  `void`

  `addDefinitions(NamespaceDefinition[] definitions)`

  `NamespaceDefinition`

  `getDefinition(String namespace)`

  `String[]`

  `getNamespaces()`

## Constructor Details

### DefaultNamespaceCollection

    public DefaultNamespaceCollection()

## Method Details

### addDefinition

    public void addDefinition(NamespaceDefinition definition)

### addDefinitions

    public void addDefinitions(NamespaceDefinition[] definitions)

### getDefinition

    public NamespaceDefinition getDefinition(String namespace)

> Specified by:
>   getDefinition in interface NamespaceCollection

### getNamespaces

    public String[] getNamespaces()

> Specified by:
>   getNamespaces in interface NamespaceCollection